aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2008-09-10 23:33:38 +0000
committerFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2008-09-10 23:33:38 +0000
commit7aa47dbc0562142ba0a48a97cba2805f39ed5468 (patch)
treebabeee25c770d775dc82cce25733ec2fded3a5d5 /sci-misc/nltk
parentmanifest update (diff)
downloadsci-7aa47dbc0562142ba0a48a97cba2805f39ed5468.tar.gz
sci-7aa47dbc0562142ba0a48a97cba2805f39ed5468.tar.bz2
sci-7aa47dbc0562142ba0a48a97cba2805f39ed5468.zip
Version bump; ensure python has tkinter
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1291 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/nltk')
-rw-r--r--sci-misc/nltk/ChangeLog6
-rw-r--r--sci-misc/nltk/Manifest14
-rw-r--r--sci-misc/nltk/nltk-0.9.2.ebuild (renamed from sci-misc/nltk/nltk-0.9.1.ebuild)6
-rw-r--r--sci-misc/nltk/nltk-0.9.4.ebuild (renamed from sci-misc/nltk/nltk-0.9.ebuild)15
4 files changed, 30 insertions, 11 deletions
diff --git a/sci-misc/nltk/ChangeLog b/sci-misc/nltk/ChangeLog
index 2c7f40c5f..2d727b4ce 100644
--- a/sci-misc/nltk/ChangeLog
+++ b/sci-misc/nltk/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*nltk-0.9.4 (11 Aug 2008)
+
+ 11 Aug 2008; Flammie Pirinen <flammie@gentoo.org> +nltk-0.9.4.ebuild,
+ -nltk-0.9.ebuild, -nltk-0.9.1.ebuild:
+ Version bump. Ensure that python has tkinter.
+
*nltk-0.9.1 (29 Jan 2008)
29 Jan 2008; Flammie Pirinen <flammie@gentoo.org> +nltk-0.9.1.ebuild:
diff --git a/sci-misc/nltk/Manifest b/sci-misc/nltk/Manifest
index 73d57b9cb..c4da0fcb9 100644
--- a/sci-misc/nltk/Manifest
+++ b/sci-misc/nltk/Manifest
@@ -1,8 +1,8 @@
-DIST nltk-0.9.1.tar.gz 741477 RMD160 d53ff1194bd81dcd102a18d4284367045286a67a SHA1 2e9879eb17c5ef8682bd395eba9fee7a45e14572 SHA256 8782ef7168403436fe91310d9cdc5a50968346f34c8fdee0de1f9d670976d0ff
-DIST nltk-0.9.tar.gz 702674 RMD160 e69a202e6df5eea0d0ffa3b20585cf023ae68268 SHA1 7bc4d4945097f660314f149eb2041ac4c9237cbe SHA256 b74b70b0d9d2b971877d4e07ba88e0aa35fb9a86e1bf3e3a4bfb12bfd90ed032
-DIST nltk-data-0.9.1.zip 72793386 RMD160 fff0063ee3ecdb9d4bb0d13a5750459af23a55ec SHA1 8e916cfb088868a421b03c3f4f6bbc446c460056 SHA256 9f5668574ed2f683079d932dd26d6b74245b660b66faaced1b9311fecd2a7400
-DIST nltk-data-0.9.zip 62990054 RMD160 9f60e85ed645d0c9d18315b8a49c5220d7e98a31 SHA1 7535be9ca51c5dc6fa5cc8d2ab5cd6a79b3f285e SHA256 8d9481f952c841f4405c5d6b60320e0f413bfe9833e96c4da8a857fe66b729ee
-EBUILD nltk-0.9.1.ebuild 750 RMD160 e01d7576a287f2e437e3141350d52c08ad4cdc39 SHA1 a31d28a7e7ed9e39931884d89019f4d110606822 SHA256 410103f805a55282c7480b4066506117ce61c2180a9b2991b018ee1a112d571b
-EBUILD nltk-0.9.ebuild 748 RMD160 53b39aaaa8c82d3d141c5df9d3e8d351c848c634 SHA1 ba0bba9efb1d3aceb961ddee840937be57e48518 SHA256 21ca24188a09d98a8029358bfb7dd358953cf69341bcb838166408c5a32cc945
-MISC ChangeLog 343 RMD160 98992142784f24a3c383497558a1af20c2323dfd SHA1 83aeef07c97595da1c3316e8d2697eafab1a09dd SHA256 9ce1b6ebe751ee67f32823662d835f88c2bbc1ae428fd025d03e5092191a65bf
+DIST nltk-0.9.2.tar.gz 750901 RMD160 8c583992c9315f56b8ef7f6b0c3de36447502a63 SHA1 cb89829964dbb834bcac579dabc641d32abb7fb8 SHA256 089fd317e1263bbc88fb97d8891d2874e2f0a5fa12f24f818d8c4c44c40a76c2
+DIST nltk-0.9.4.tar.gz 985223 RMD160 ce07f2ab81b46bf49c0eeeb8d999d858d8edf688 SHA1 d042af802a20ef5b282450b94e602ce840ecb1a9 SHA256 c233903a2abf1f666742ec85ff3e02edf11862b84789e7b80130170921da2b02
+DIST nltk-data-0.9.2.zip 78534316 RMD160 c5d4bd8fcd0e0337cd2e1e7b011ee44075d7322d SHA1 0535cef468b69abe253438c32c560832e1690abf SHA256 4bdef1e55cb6f52bd88ac29e709f15e7d902fe2b0ee17e3f652e81e8c5a9aae3
+DIST nltk-data-0.9.4.zip 104997349 RMD160 c12b7f56bdf81cde013d1cd56d32f28e2c183e57 SHA1 79c8c92a351af16e05b60544b304346ee4b7feab SHA256 da3b6be06b3d3e7da7f20b127580d1e4c2027aef6aec0718be480d36e8c7a0cc
+EBUILD nltk-0.9.2.ebuild 859 RMD160 89c59d6bc704d5bc57cfe16b36ef4b23d13c0d92 SHA1 35668a551cc7afc56359669c76daa65cc661b4a3 SHA256 463fb513bb08d25b84f9070c22904e7d3eb3039156eb47f5faaadbcb596c05b2
+EBUILD nltk-0.9.4.ebuild 908 RMD160 888ef051805248cb92e1e023766a81b719e65afb SHA1 03e88b19feed3a0afd93683d2e2c8e3de8ee2ea9 SHA256 df5291b4e690488f8d916104bbfbf679983c461779a49c75a5d62efd4fc43803
+MISC ChangeLog 531 RMD160 21a372aa650b7fb4587f8658c1942b97ea1b234c SHA1 7d9e165ac2c5f0c519ba9ea929e7c686e0b5ecce SHA256 23bd6d79e3ae7151f0f55f50c7c2b4a3a3e4291698a9d74455dacaeef48c3312
MISC metadata.xml 364 RMD160 aff2bdd66780e4c75fb9b6ae3d736b26cc955c9e SHA1 7e21481f5ba1c24eb28c17dd91a609fe176da3a6 SHA256 9660ff37111b5f36e3020fcc257a7bf52c9f3c8c1020da7be578393363197e96
diff --git a/sci-misc/nltk/nltk-0.9.1.ebuild b/sci-misc/nltk/nltk-0.9.2.ebuild
index 7b791151f..a9b3decc5 100644
--- a/sci-misc/nltk/nltk-0.9.1.ebuild
+++ b/sci-misc/nltk/nltk-0.9.2.ebuild
@@ -22,6 +22,12 @@ DEPEND="${DEPEND}
sci-misc/pywordnet"
RDEPEND="${DEPEND}"
+pkg_setup() {
+ if ! built_with_use dev-lang/python ; then
+ die "NLTK needs python built with USE=tk"
+ fi
+}
+
src_install() {
distutils_src_install
# N.B.: if you install corpora in usr/share/nltk you do not need env. vars
diff --git a/sci-misc/nltk/nltk-0.9.ebuild b/sci-misc/nltk/nltk-0.9.4.ebuild
index 8252f38e8..9e1368373 100644
--- a/sci-misc/nltk/nltk-0.9.ebuild
+++ b/sci-misc/nltk/nltk-0.9.4.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit distutils
+inherit eutils distutils
DESCRIPTION="Natural language processing tool collection"
HOMEPAGE="http://nltk.sourceforge.net/"
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64"
IUSE=""
DEPEND="${DEPEND}
@@ -22,10 +22,17 @@ DEPEND="${DEPEND}
sci-misc/pywordnet"
RDEPEND="${DEPEND}"
+pkg_setup() {
+ if ! built_with_use dev-lang/python tk ; then
+ die "NLTK needs python built with USE=tk"
+ fi
+ export NLTK_DATA="${WORKDIR}/data/"
+}
+
src_install() {
distutils_src_install
# N.B.: if you install corpora in usr/share/nltk you do not need env. vars
- cd ${WORKDIR}
+ cd "${WORKDIR}"
dodir /usr/share/nltk
fperms g+r data
insinto /usr/share/nltk/